Update carrier
curl --request PUT \
--url https://api.truecold.io/carrier/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.truecold.io/carrier/{id}"
payload = { "name": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.truecold.io/carrier/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>"
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Carriers
Update carrier
PUT
/
carrier
/
{id}
Update carrier
Authorizations
API key for authentication. Contact your administrator to get an API key.
Path Parameters
Carrier ID
Body
application/json
Carrier input data for update
Carrier name
Response
Successfully updated carrier
Carrier entity (API response)
Unique identifier
Creation timestamp
Last update timestamp
Account ID
Linked site ID
name name
code code
Soft deletion timestamp
User who soft deleted the record
⌘I
